#include "vektor.h"

int vektor_f::mixedelimk;
int vektor_f::cheaptable[28];
int vektor_f::TERMORDER;
int vektor_f::cheapest;
bool vektor_f::weightenable;
vektor_f vektor_f::weight;
bool vektor_f::weight_double_enable;
vektor<double> vektor_f::weight_double;
int vektor_i::mixedelimk;
int vektor_i::cheaptable[28];
int vektor_i::TERMORDER;
int vektor_i::cheapest;
bool vektor_i::weightenable;
vektor_i vektor_i::weight;
bool vektor_i::weight_double_enable;
vektor<double> vektor_i::weight_double;


basis_f tobasis_f(const char *s)
{
  if(*s=='{')
    {
      int l=0;
      const char *t=s+1;
      while(*t!='}')
	{
	  if(*t=='(')l++;
	  t++;
	}
      basis_f b(l);
      t=s+1;
      for(int i=0;i<l;i++)
	{
	  while(*t!='(')t++;
	  b[i]=vektor_f(t);
	  t++;
	}
      return b;
    }
  basis_f b(0);
  return b;
}

basis_f tobasis_f(const basis_i& i)
{
  basis_f f(i.size());
  for(int j=0;j<i.size();j++)f[j]=i[j];
  return f;
}

basis_i tobasis_i(const basis_f& i)
{
  basis_i f(i.size());
  for(int j=0;j<i.size();j++)f[j]=(i[j]);
  return f;
}

basis_i tobasis_i(const char *s)
{
  return tobasis_i(tobasis_f(s));
}

basis_i randommatrix_i(int rows, int cols, int max)
{
  basis_i f(cols);
  for(int j=0;j<cols;j++)
    {
      f[j]=vektor_i(rows);

      for(int i=0;i<rows;i++)
	f[j][i]=((int)rand()&0x7fff)%max;
    }
  return f;
}































